> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sontairo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Connector

> Create a new connector integration. Free plan is limited to 5 active connectors.



## OpenAPI

````yaml POST /api/connectors
openapi: 3.0.3
info:
  title: Sontairo API
  description: REST API for the Sontairo AI agent orchestration platform
  version: 1.0.0
servers:
  - url: https://www.sontairo.com
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /api/connectors:
    post:
      tags:
        - Connectors
      summary: Create connector
      description: >-
        Create a new connector integration. Free plan is limited to 5 active
        connectors.
      operationId: createConnector
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - workspaceId
              properties:
                workspaceId:
                  type: string
                  description: The workspace ID
                projectId:
                  type: string
                  nullable: true
                  description: Project to create the connector in
                type:
                  type: string
                  description: Legacy connector type (e.g. SLACK, GOOGLE)
                providerId:
                  type: string
                  description: Registry provider ID (e.g. slack, notion, github)
                providerName:
                  type: string
                  minLength: 1
                  maxLength: 100
                  description: Display name for the connector
                grantedScopes:
                  type: array
                  items:
                    type: string
                  description: OAuth scopes to request
                metadata:
                  type: object
                  additionalProperties: true
      responses:
        '201':
          description: Connector created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Connector'
        '403':
          description: Forbidden — free plan connector limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Connector:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        projectId:
          type: string
          nullable: true
        type:
          type: string
        providerId:
          type: string
          nullable: true
        providerName:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - PENDING
            - ERROR
            - DISABLED
        grantedScopes:
          type: array
          items:
            type: string
        hasCredential:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Session token issued by the desktop/native auth exchange, sent as
        Authorization: Bearer <token>.
    cookieAuth:
      type: apiKey
      in: cookie
      name: session
      description: Browser session cookie set by the web sign-in flow.

````